HttpRequest::getCookies
HttpRequest::getHistory
HttpRequest
PHP Manual

# HttpRequest::getHeaders

(PECL pecl_http >= 0.10.0)

HttpRequest::getHeaders — Get headers

### Description

public array HttpRequest::getHeaders ( void )

Get previously set request headers.

### Return Values

Returns an associative array containing all currently set headers.

HttpRequest::getCookies
HttpRequest::getHistory
HttpRequest
PHP Manual